cancel
Showing results for 
Search instead for 
Did you mean: 
CaptainChunk
Active Contributor

Why isn't Hamachi compatible with M1 Based Macs?

There's been more than enough time to beta test and get the updated kext-less client ready.

163 REPLIES 163
lmjc
New Contributor

Amen!!
FortSupply
New Contributor

What is the method to make it work?  I have uninstalled, and reinstalled, and enabled all persmissions, but the Hamachi Engine keeps crashing.  Running on a new MacBook Pro (intel) with Big Sur.  Working fine before Big Sur.

carlocucchiara
New Contributor

Godo morning, I have a problem. Logmein hamachi no works with MacBooks with SoC arm. I have a MacBook Air m1, and overtimes I try to launch LogMeIn, it crashes. there will be a version for this MacBook whit m1?

thank you.

jdubyah
Active Contributor

I am seeing this issue as well. My Mac Mini M1 running Big Sur says the developer needs to update the application for it to work. 

 

When will the application be updated?

 

Attempted the install a second time, it installed without any notices regarding the developer needs to update the application, but now it just crashes upon launch. 

jdubyah
Active Contributor

Also, why is this thread marked solved if issues remain?
stevelup
Active Contributor

Because the original issue was resolved, then a new issue was piggy-backed onto the same discussion.
jdubyah
Active Contributor

That seems to be a reasonable thought on this, but a LogMeIn moderator is merging other threads to this one.

Basically taking issues that are not resolved and throwing them in to another thread marked as resolved. 

My initial post in this thread was actually in another thread regarding the Apple M1 chip and how Hamachi is not currently compatible as it crashes upon launch. That issue is not resolved. 

CaptainChunk
Active Contributor

@AshC    Do you have an update for us on this?

Solid_ids
Active Contributor

"Shortly after Apple releases" is over. When is the new version coming? It's kind of outrages that your website doesn't even mention, that it is not compatible with Big Sur. Our whole team is working remotely and I have to tell them, they can't update because of this.

CaptainChunk
Active Contributor

@AshC   Hello???  Please give us an ETA on the update